From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/testtools/
Date: Mon, 10 Jun 2024 18:57:24 +0000 (UTC) [thread overview]
Message-ID: <1718045836.8520437bc7ed0a43a6b124323a9c9449a68d5daf.mgorny@gentoo> (raw)
commit: 8520437bc7ed0a43a6b124323a9c9449a68d5daf
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 10 18:17:53 2024 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jun 10 18:57:16 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8520437b
dev-python/testtools: Enable py3.13
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/testtools/testtools-2.7.2.ebuild | 13 ++++++++++---
1 file changed, 10 insertions(+), 3 deletions(-)
diff --git a/dev-python/testtools/testtools-2.7.2.ebuild b/dev-python/testtools/testtools-2.7.2.ebuild
index 9236369b209a..ff9231e8d803 100644
--- a/dev-python/testtools/testtools-2.7.2.ebuild
+++ b/dev-python/testtools/testtools-2.7.2.ebuild
@@ -4,7 +4,7 @@
EAPI=8
DISTUTILS_USE_PEP517=hatchling
-PYTHON_COMPAT=( python3_{10..12} pypy3 )
+PYTHON_COMPAT=( python3_{10..13} pypy3 )
PYTHON_REQ_USE="threads(+)"
inherit distutils-r1 pypi
@@ -27,13 +27,20 @@ BDEPEND="
>=dev-python/fixtures-2.0.0[${PYTHON_USEDEP}]
dev-python/testscenarios[${PYTHON_USEDEP}]
dev-python/testresources[${PYTHON_USEDEP}]
- dev-python/twisted[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/twisted[${PYTHON_USEDEP}]
+ ' 3.{10..12})
)
"
distutils_enable_sphinx doc
python_test() {
- "${PYTHON}" -m testtools.run testtools.tests.test_suite ||
+ cp testtools/tests/__init__.py test_suite.py || die
+ if ! has_version "dev-python/twisted[${PYTHON_USEDEP}]"; then
+ sed -i -e '/twistedsupport/d' test_suite.py || die
+ fi
+
+ "${EPYTHON}" -m testtools.run test_suite.test_suite ||
die "tests failed under ${EPYTHON}"
}
next reply other threads:[~2024-06-10 18:57 UTC|newest]
Thread overview: 66+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-06-10 18:57 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-18 13:08 [gentoo-commits] repo/gentoo:master commit in: dev-python/testtools/ Michał Górny
2024-06-29 7:57 Arthur Zamarin
2024-06-10 18:57 Michał Górny
2024-06-10 14:41 Michał Górny
2023-11-29 10:35 Michał Górny
2023-11-29 10:33 Michał Górny
2023-11-02 14:28 Michał Górny
2023-11-02 14:28 Michał Górny
2023-10-25 2:26 Sam James
2023-07-10 1:50 Michał Górny
2023-07-09 16:51 Arthur Zamarin
2023-05-31 10:50 Michał Górny
2023-04-16 16:31 Arthur Zamarin
2023-03-14 16:57 Michał Górny
2022-11-30 10:18 WANG Xuerui
2022-06-21 18:36 Arthur Zamarin
2022-06-21 18:35 Arthur Zamarin
2022-05-21 11:22 Michał Górny
2022-02-02 7:29 Sam James
2021-08-16 5:20 Agostino Sarubbo
2021-07-14 22:16 Michał Górny
2021-07-12 3:14 Sam James
2021-07-05 22:54 Michał Górny
2021-07-05 22:54 Michał Górny
2021-07-05 10:56 Michał Górny
2021-07-01 14:06 Marek Szuba
2020-12-01 17:27 Sam James
2020-07-11 9:34 Michał Górny
2020-07-11 9:34 Michał Górny
2019-12-30 21:54 Piotr Karbowski
2018-07-28 1:08 Mikle Kolyada
2018-07-08 1:30 Matt Thode
2018-01-06 14:13 Michał Górny
2017-08-11 17:06 Michał Górny
2017-07-08 13:54 Alexis Ballier
2017-06-26 11:43 Alexis Ballier
2017-05-15 9:47 Lars Wendler
2017-05-03 7:37 Michał Górny
2017-02-27 3:53 Zac Medico
2016-05-28 15:36 Alex Brandt
2016-02-09 9:33 Justin Lecher
2016-02-07 12:27 Justin Lecher
2016-02-04 12:25 Justin Lecher
2016-01-27 9:26 Justin Lecher
2015-11-23 10:05 Justin Lecher
2015-11-22 8:38 Markus Meier
2015-11-22 5:38 Jeroen Roovers
2015-11-19 10:25 Agostino Sarubbo
2015-11-17 11:03 Justin Lecher
2015-11-16 15:01 Agostino Sarubbo
2015-11-11 17:27 Justin Lecher
2015-11-09 7:42 Justin Lecher
2015-11-05 11:52 Agostino Sarubbo
2015-11-04 16:09 Agostino Sarubbo
2015-11-04 15:50 Agostino Sarubbo
2015-11-02 13:12 Agostino Sarubbo
2015-11-02 13:09 Agostino Sarubbo
2015-11-02 11:50 Justin Lecher
2015-11-02 11:50 Justin Lecher
2015-10-22 11:09 Justin Lecher
2015-10-14 13:40 Justin Lecher
2015-10-11 11:44 Mikle Kolyada
2015-09-11 7:53 Justin Lecher
2015-08-24 10:12 Justin Lecher
2015-08-24 10:12 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1718045836.8520437bc7ed0a43a6b124323a9c9449a68d5daf.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox